Package com.independentsoft.office.charts

# Class DateAxis

java.lang.Object
com.independentsoft.office.charts.DateAxis

All Implemented Interfaces:
  `IAxis`

public class DateAxis extends Object implements IAxis
The Class DateAxis.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DateAxis()`
  Instantiates a new date axis.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DateAxis`
  `clone()`
  `TimeUnit`
  `getBaseTimeUnit()`
  Gets the base time unit.
  `ChartShapeProperties`
  `getChartShapeProperties()`
  Gets the chart shape properties.
  `CrossBetween`
  `getCrossBetween()`
  Gets the cross between.
  `Crosses`
  `getCrosses()`
  Gets the crosses.
  `double`
  `getCrossesValue()`
  Gets the crosses value.
  `long`
  `getCrossingAxisID()`
  Gets the crossing axis id.
  `long`
  `getID()`
  Gets the id.
  `int`
  `getLabelOffset()`
  Gets the label offset.
  `MajorGridlines`
  `getMajorGridlines()`
  Gets the major gridlines.
  `TickMark`
  `getMajorTickMark()`
  Gets the major tick mark.
  `TimeUnit`
  `getMajorTimeUnit()`
  Gets the major time unit.
  `double`
  `getMajorUnit()`
  Gets the major unit.
  `MinorGridlines`
  `getMinorGridlines()`
  Gets the minor gridlines.
  `TickMark`
  `getMinorTickMark()`
  Gets the minor tick mark.
  `TimeUnit`
  `getMinorTimeUnit()`
  Gets the minor time unit.
  `double`
  `getMinorUnit()`
  Gets the minor unit.
  `NumberFormat`
  `getNumberFormat()`
  Gets the number format.
  `AxisPosition`
  `getPosition()`
  Gets the position.
  `Scaling`
  `getScaling()`
  Gets the scaling.
  `TextProperties`
  `getTextProperties()`
  Gets the text properties.
  `TickLabelPosition`
  `getTickLabelPosition()`
  Gets the tick label position.
  `Title`
  `getTitle()`
  Gets the title.
  `boolean`
  `isAuto()`
  Checks if is auto.
  `boolean`
  `isDelete()`
  Checks if is delete.
  `void`
  `setAuto​(boolean auto)`
  Sets the auto.
  `void`
  `setBaseTimeUnit​(TimeUnit baseTimeUnit)`
  Sets the base time unit.
  `void`
  `setCrossBetween​(CrossBetween crossBetween)`
  Sets the cross between.
  `void`
  `setCrosses​(Crosses crosses)`
  Sets the crosses.
  `void`
  `setCrossesValue​(double crossesValue)`
  Sets the crosses value.
  `void`
  `setCrossingAxisID​(long crossingAxisID)`
  Sets the crossing axis id.
  `void`
  `setDelete​(boolean delete)`
  Sets the delete.
  `void`
  `setID​(long id)`
  Sets the id.
  `void`
  `setLabelOffset​(int labelOffset)`
  Sets the label offset.
  `void`
  `setMajorGridlines​(MajorGridlines majorGridlines)`
  Sets the major gridlines.
  `void`
  `setMajorTickMark​(TickMark majorTickMark)`
  Sets the major tick mark.
  `void`
  `setMajorTimeUnit​(TimeUnit majorTimeUnit)`
  Sets the major time unit.
  `void`
  `setMajorUnit​(double majorUnit)`
  Sets the major unit.
  `void`
  `setMinorGridlines​(MinorGridlines minorGridlines)`
  Sets the minor gridlines.
  `void`
  `setMinorTickMark​(TickMark minorTickMark)`
  Sets the minor tick mark.
  `void`
  `setMinorTimeUnit​(TimeUnit minorTimeUnit)`
  Sets the minor time unit.
  `void`
  `setMinorUnit​(double minorUnit)`
  Sets the minor unit.
  `void`
  `setNumberFormat​(NumberFormat numberFormat)`
  Sets the number format.
  `void`
  `setPosition​(AxisPosition position)`
  Sets the position.
  `void`
  `setScaling​(Scaling scaling)`
  Sets the scaling.
  `void`
  `setTickLabelPosition​(TickLabelPosition tickLabelPosition)`
  Sets the tick label position.
  `void`
  `setTitle​(Title title)`
  Sets the title.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DateAxis

    public DateAxis()
    Instantiates a new date axis.

- ## Method Details

  - ### clone

    public DateAxis clone()
    Specified by:
      `clone` in interface `IAxis`
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### isAuto

    public boolean isAuto()
    Checks if is auto.
    Returns:
      true, if is auto

  - ### setAuto

    public void setAuto​(boolean auto)
    Sets the auto.
    Parameters:
      `auto` - the new auto

  - ### getID

    public long getID()
    Gets the id.
    Returns:
      the id

  - ### setID

    public void setID​(long id)
    Sets the id.
    Parameters:
      `id` - the new id

  - ### getPosition

    public AxisPosition getPosition()
    Gets the position.
    Returns:
      the position

  - ### setPosition

    public void setPosition​(AxisPosition position)
    Sets the position.
    Parameters:
      `position` - the new position

  - ### getBaseTimeUnit

    public TimeUnit getBaseTimeUnit()
    Gets the base time unit.
    Returns:
      the base time unit

  - ### setBaseTimeUnit

    public void setBaseTimeUnit​(TimeUnit baseTimeUnit)
    Sets the base time unit.
    Parameters:
      `baseTimeUnit` - the new base time unit

  - ### getCrossingAxisID

    public long getCrossingAxisID()
    Gets the crossing axis id.
    Returns:
      the crossing axis id

  - ### setCrossingAxisID

    public void setCrossingAxisID​(long crossingAxisID)
    Sets the crossing axis id.
    Parameters:
      `crossingAxisID` - the new crossing axis id

  - ### getCrossBetween

    public CrossBetween getCrossBetween()
    Gets the cross between.
    Returns:
      the cross between

  - ### setCrossBetween

    public void setCrossBetween​(CrossBetween crossBetween)
    Sets the cross between.
    Parameters:
      `crossBetween` - the new cross between

  - ### getCrosses

    public Crosses getCrosses()
    Gets the crosses.
    Returns:
      the crosses

  - ### setCrosses

    public void setCrosses​(Crosses crosses)
    Sets the crosses.
    Parameters:
      `crosses` - the new crosses

  - ### getCrossesValue

    public double getCrossesValue()
    Gets the crosses value.
    Returns:
      the crosses value

  - ### setCrossesValue

    public void setCrossesValue​(double crossesValue)
    Sets the crosses value.
    Parameters:
      `crossesValue` - the new crosses value

  - ### isDelete

    public boolean isDelete()
    Checks if is delete.
    Returns:
      true, if is delete

  - ### setDelete

    public void setDelete​(boolean delete)
    Sets the delete.
    Parameters:
      `delete` - the new delete

  - ### getLabelOffset

    public int getLabelOffset()
    Gets the label offset.
    Returns:
      the label offset

  - ### setLabelOffset

    public void setLabelOffset​(int labelOffset)
    Sets the label offset.
    Parameters:
      `labelOffset` - the new label offset

  - ### getMajorGridlines

    public MajorGridlines getMajorGridlines()
    Gets the major gridlines.
    Returns:
      the major gridlines

  - ### setMajorGridlines

    public void setMajorGridlines​(MajorGridlines majorGridlines)
    Sets the major gridlines.
    Parameters:
      `majorGridlines` - the new major gridlines

  - ### getMajorTickMark

    public TickMark getMajorTickMark()
    Gets the major tick mark.
    Returns:
      the major tick mark

  - ### setMajorTickMark

    public void setMajorTickMark​(TickMark majorTickMark)
    Sets the major tick mark.
    Parameters:
      `majorTickMark` - the new major tick mark

  - ### getMajorUnit

    public double getMajorUnit()
    Gets the major unit.
    Returns:
      the major unit

  - ### setMajorUnit

    public void setMajorUnit​(double majorUnit)
    Sets the major unit.
    Parameters:
      `majorUnit` - the new major unit

  - ### getMajorTimeUnit

    public TimeUnit getMajorTimeUnit()
    Gets the major time unit.
    Returns:
      the major time unit

  - ### setMajorTimeUnit

    public void setMajorTimeUnit​(TimeUnit majorTimeUnit)
    Sets the major time unit.
    Parameters:
      `majorTimeUnit` - the new major time unit

  - ### getMinorGridlines

    public MinorGridlines getMinorGridlines()
    Gets the minor gridlines.
    Returns:
      the minor gridlines

  - ### setMinorGridlines

    public void setMinorGridlines​(MinorGridlines minorGridlines)
    Sets the minor gridlines.
    Parameters:
      `minorGridlines` - the new minor gridlines

  - ### getMinorTickMark

    public TickMark getMinorTickMark()
    Gets the minor tick mark.
    Returns:
      the minor tick mark

  - ### setMinorTickMark

    public void setMinorTickMark​(TickMark minorTickMark)
    Sets the minor tick mark.
    Parameters:
      `minorTickMark` - the new minor tick mark

  - ### getMinorUnit

    public double getMinorUnit()
    Gets the minor unit.
    Returns:
      the minor unit

  - ### setMinorUnit

    public void setMinorUnit​(double minorUnit)
    Sets the minor unit.
    Parameters:
      `minorUnit` - the new minor unit

  - ### getMinorTimeUnit

    public TimeUnit getMinorTimeUnit()
    Gets the minor time unit.
    Returns:
      the minor time unit

  - ### setMinorTimeUnit

    public void setMinorTimeUnit​(TimeUnit minorTimeUnit)
    Sets the minor time unit.
    Parameters:
      `minorTimeUnit` - the new minor time unit

  - ### getNumberFormat

    public NumberFormat getNumberFormat()
    Gets the number format.
    Returns:
      the number format

  - ### setNumberFormat

    public void setNumberFormat​(NumberFormat numberFormat)
    Sets the number format.
    Parameters:
      `numberFormat` - the new number format

  - ### getScaling

    public Scaling getScaling()
    Gets the scaling.
    Returns:
      the scaling

  - ### setScaling

    public void setScaling​(Scaling scaling)
    Sets the scaling.
    Parameters:
      `scaling` - the new scaling

  - ### getChartShapeProperties

    public ChartShapeProperties getChartShapeProperties()
    Gets the chart shape properties.
    Returns:
      the chart shape properties

  - ### getTickLabelPosition

    public TickLabelPosition getTickLabelPosition()
    Gets the tick label position.
    Returns:
      the tick label position

  - ### setTickLabelPosition

    public void setTickLabelPosition​(TickLabelPosition tickLabelPosition)
    Sets the tick label position.
    Parameters:
      `tickLabelPosition` - the new tick label position

  - ### getTitle

    public Title getTitle()
    Gets the title.
    Returns:
      the title

  - ### setTitle

    public void setTitle​(Title title)
    Sets the title.
    Parameters:
      `title` - the new title

  - ### getTextProperties

    public TextProperties getTextProperties()
    Gets the text properties.
    Returns:
      the text properties